package com.muyu.product.domain;

import com.muyu.common.security.utils.SecurityUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 属性对象 attribute
 *
 * @author saisai
 * @date 2024-02-29
 */
public class Attribute extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 属性编码 */
    @Excel(name = "属性编码")
    private String code;

    /** 属性名 */
    @Excel(name = "属性名")
    private String name;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("code", getCode())
                .append("name", getName())
                .append("remark", getRemark())
                .append("createBy", SecurityUtils.getUsername())
                .append("createTime", getCreateTime())
                .append("updateBy", SecurityUtils.getUsername())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
