package com.muyu.product.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品属性中间表对象 attribute_product
 *
 * @author Saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AttributeProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商品编号 */
    @Excel(name = "商品编号")
    private Long productId;

    /** 属性编号 */
    @Excel(name = "属性编号")
    private Long attributeId;

    /** 属性值 */
    @Excel(name = "属性值")
    private String value;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setAttributeId(Long attributeId)
    {
        this.attributeId = attributeId;
    }

    public Long getAttributeId()
    {
        return attributeId;
    }
    public void setValue(String value)
    {
        this.value = value;
    }

    public String getValue()
    {
        return value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("attributeId", getAttributeId())
            .append("value", getValue())
            .append("remark", getRemark())
            .append("createBy", SecurityUtils.getUsername())
            .append("createTime", getCreateTime())
            .append("updateBy", SecurityUtils.getUsername())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
