package com.muyu.product.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.req.RuleAttrReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.function.Supplier;

/**
 * 规格对象 rule
 *
 * @author saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Rule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    private String name;

    private String states;

    public static Rule saveBuilder(RuleAttrReq req, Supplier<String> username){
        return Rule.builder()
                .name(req.getName())
                .states(req.getStates()==null? null: req.getStates())
                .createBy(username.get())
                .createTime(new Date())
                .build();
    }


    public static Rule updateBuilder(RuleAttrReq ruleAttrReq) {
        return Rule.builder()
                .id(ruleAttrReq.getId())
                .states(ruleAttrReq.getStates())
                .name(ruleAttrReq.getName())
                .build();
    }
}
