package com.muyu.product.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.model.RuleAttrAddModel;
import com.muyu.product.domain.req.RuleAttrReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * 规格对象 rule
 *
 * @author saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class RuleAttr extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 规格主键
     */
    private Long ruleId;
    /**
     * 规格属性名称
     */
    @Excel(name = "规格属性")
    private String attrName;


    private String attrValue;


    /**
     * 规格属性构建体
     *
     * @return
     */
    public static List<RuleAttr> saveBuilder(RuleAttrReq req,Supplier<String> username) {
        ArrayList<RuleAttr> ruleAttrs = new ArrayList<>();
        List<RuleAttrAddModel> ruleAttrAddModels = req.getRuleAttrList();
        ruleAttrAddModels.stream().map(
                ruleAttrAddModel -> ruleAttrs.addAll(RuleAttr.constructBuilder(ruleAttrAddModel,username,req.getId())
                )).toList();
        return ruleAttrs;
    }

    public static List<RuleAttr> constructBuilder(RuleAttrAddModel ruleAttrAddModel, Supplier<String> username, Long ruleId) {
        return (List<RuleAttr>) ruleAttrAddModel.getValueList().stream().map(
                value -> RuleAttr.builder().attrName(ruleAttrAddModel.getAttrName())
                        .id(null)
                        .ruleId(ruleId)
                        .createBy(username.get())
                        .createTime(new Date())
                        .attrValue(value)
                        .build()
        ).toList();
    }

}
