package com.muyu.product.domain.model;

import com.muyu.common.core.web.domain.TreeEntity;
import com.muyu.product.domain.req.CategoryReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * @ClassName CategoryInfoSaveModel
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/5/0005 17:17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryInfoSaveModel extends TreeEntity {
    /** 主键 */
    private Long id;

    /** 品类名称 */
    private String name;

    /** 图片 */
    private String image;

    /** 父级品类 */
    private Long parentId;

    /** 是否启用 */
    private String status;

    /** 说明 */
    private String remark;
    private String createBy;
    private Date createTime;

    /**
     * 已选属性组集合
     */
    private List<Long> checkedAttributeGroupIds;
    /**
     * 已选属性集合
     */
    private List<Long> checkedAttributeIds;
    /**
     * 已选品牌集合
     */
    private List<Long> checkedBrandIds;


    /**
     * 保存构建体
     */
    public static CategoryInfoSaveModel saveBuilder(CategoryReq req, Supplier<String> username){
        return CategoryInfoSaveModel.builder()
                .checkedAttributeIds(req.getCheckedAttributeIds())
                .checkedAttributeGroupIds(req.getCheckedAttributeGroupIds())
                .checkedBrandIds(req.getCheckedBrandIds())
                .image(req.getImage())
                .name(req.getName())
                .parentId(req.getParentId())
                .createBy(username.get())
                .createTime(new Date())
                .status(req.getStatus())
                .remark(req.getRemark())
                .build();
    }
}
