package com.muyu.product.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.Rule;
import com.muyu.product.domain.RuleAttr;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.*;

/**
 * @ClassName RuleAttrAddModel
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/7/0007 11:53
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class RuleAttrAddModel extends BaseEntity {
    private String attrName;
    private List<String> valueList;

    public static List<RuleAttrAddModel> saveBuilder(List<RuleAttr> rules) {
        HashMap<String, List<String>> stringListHashMap = new HashMap<>();
        for (RuleAttr rule : rules) {
            if (stringListHashMap.containsKey(rule.getAttrName())){
                stringListHashMap.get(rule.getAttrName()).add(rule.getAttrValue());
            }else {
                ArrayList<String> strings = new ArrayList<>();
                strings.add(rule.getAttrValue());
                stringListHashMap.put(rule.getAttrName(),strings);
            }
        }
        return stringListHashMap.keySet().stream()
                .map(key -> new RuleAttrAddModel
                        (key, stringListHashMap.get(key)))
                .toList();
    }
}
