package com.muyu.product.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @ClassName CategoryReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/5/0005 12:35
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CategoryReq extends BaseEntity {
    /**
     * 主键
     */
    private Long id;

    /**
     * 品类名称
     */
    private String name;

    /**
     * 图片
     */
    private String image;

    /**
     * 父级品类
     */
    private Long parentId;

    /**
     * 是否启用
     */
    private String status;

    /**
     * 说明
     */
    private String remark;
    /**
     * 已选属性组集合
     */
    private List<Long> checkedAttributeGroupIds;
    /**
     * 已选属性集合
     */
    private List<Long> checkedAttributeIds;
    /**
     * 已选品牌集合
     */
    private List<Long> checkedBrandIds;


}






