package com.muyu.product.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.Rule;
import com.muyu.product.domain.RuleAttr;
import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;
import java.util.function.Function;

/**
 * @ClassName RuleAttrResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/7/0007 15:56
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RuleAttrResp extends BaseEntity {
    private Long id;
    private String name;
    private String states;
    private List<RuleAttrAddModel> ruleAttrList;



    public static RuleAttrResp saveBuilder(Rule rule, Function<Long,List<RuleAttrAddModel>> ruleAttrs){
        return RuleAttrResp.builder()
                .id(rule.getId())
                .name(rule.getName())
                .ruleAttrList(ruleAttrs==null? null : ruleAttrs.apply(rule.getId()))
                .states(rule.getStates())
                .build();
    }

}
