package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AttributeGroup;

/**
 * 属性组Mapper extends BaseMapper<>接口
 *
 * @author muyu
 * @date 2024-02-29
 */
public interface AttributeGroupMapper extends BaseMapper<AttributeGroup>
{
    /**
     * 查询属性组
     *
     * @param id 属性组主键
     * @return 属性组
     */
    AttributeGroup selectAttributeGroupById(Long id);

    /**
     * 查询属性组列表
     *
     * @param attributeGroup 属性组
     * @return 属性组集合
     */
    List<AttributeGroup> selectAttributeGroupList(AttributeGroup attributeGroup);

    /**
     * 新增属性组
     *
     * @param attributeGroup 属性组
     * @return 结果
     */
    int insertAttributeGroup(AttributeGroup attributeGroup);

    /**
     * 修改属性组
     *
     * @param attributeGroup 属性组
     * @return 结果
     */
    int updateAttributeGroup(AttributeGroup attributeGroup);

    /**
     * 删除属性组
     *
     * @param id 属性组主键
     * @return 结果
     */
    int deleteAttributeGroupById(Long id);

    /**
     * 批量删除属性组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAttributeGroupByIds(Long[] ids);
}
