package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AttributeProduct;

/**
 * 商品属性中间表Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface AttributeProductMapper extends BaseMapper<AttributeProduct>
{
    /**
     * 查询商品属性中间表
     *
     * @param id 商品属性中间表主键
     * @return 商品属性中间表
     */
    AttributeProduct selectAttributeProductById(Long id);

    /**
     * 查询商品属性中间表列表
     *
     * @param attributeProduct 商品属性中间表
     * @return 商品属性中间表集合
     */
    List<AttributeProduct> selectAttributeProductList(AttributeProduct attributeProduct);

    /**
     * 新增商品属性中间表
     *
     * @param attributeProduct 商品属性中间表
     * @return 结果
     */
    int insertAttributeProduct(AttributeProduct attributeProduct);

    /**
     * 修改商品属性中间表
     *
     * @param attributeProduct 商品属性中间表
     * @return 结果
     */
    int updateAttributeProduct(AttributeProduct attributeProduct);

    /**
     * 删除商品属性中间表
     *
     * @param id 商品属性中间表主键
     * @return 结果
     */
    int deleteAttributeProductById(Long id);

    /**
     * 批量删除商品属性中间表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAttributeProductByIds(Long[] ids);
}
