package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.BrandCategory;

/**
 * 品牌品类中间Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface BrandCategoryMapper extends BaseMapper<BrandCategory>
{
    /**
     * 查询品牌品类中间
     *
     * @param id 品牌品类中间主键
     * @return 品牌品类中间
     */
    BrandCategory selectBrandCategoryById(Long id);

    /**
     * 查询品牌品类中间列表
     *
     * @param brandCategory 品牌品类中间
     * @return 品牌品类中间集合
     */
    List<BrandCategory> selectBrandCategoryList(BrandCategory brandCategory);

    /**
     * 新增品牌品类中间
     *
     * @param brandCategory 品牌品类中间
     * @return 结果
     */
    int insertBrandCategory(BrandCategory brandCategory);

    /**
     * 修改品牌品类中间
     *
     * @param brandCategory 品牌品类中间
     * @return 结果
     */
    int updateBrandCategory(BrandCategory brandCategory);

    /**
     * 删除品牌品类中间
     *
     * @param id 品牌品类中间主键
     * @return 结果
     */
    int deleteBrandCategoryById(Long id);

    /**
     * 批量删除品牌品类中间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBrandCategoryByIds(Long[] ids);
}
