package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleAttr;

/**
 * Mapper接口
 *
 * @author muyu
 * @date 2024-03-07
 */
public interface RuleAttrMapper extends BaseMapper<RuleAttr>
{
    /**
     * 查询
     *
     * @param id 主键
     * @return 
     */
    RuleAttr selectRuleAttrById(Long id);

    /**
     * 查询列表
     *
     * @param ruleAttr 
     * @return 集合
     */
    List<RuleAttr> selectRuleAttrList(RuleAttr ruleAttr);

    /**
     * 新增
     *
     * @param ruleAttr 
     * @return 结果
     */
    int insertRuleAttr(RuleAttr ruleAttr);

    /**
     * 修改
     *
     * @param ruleAttr 
     * @return 结果
     */
    int updateRuleAttr(RuleAttr ruleAttr);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    int deleteRuleAttrById(Long id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRuleAttrByIds(Long[] ids);
}
